Properties for the CrossButton component

typedef

  ICrossButtonProps

type

  ICrossButtonProps

### Hierarchy

- ICrossButtonProps

## Index

### Properties

- backgroundColor
- buttonStyle
- color
- compact
- disabled
- iconName
- iconStyle
- mode
- onPress
- size
- style
- title

## Properties

### Optional backgroundColor

backgroundColor: Color

- Defined in components/buttons/CrossButton.tsx:29

Background color. Default value is Colors.NextButton if title was supplied

### Optional buttonStyle

buttonStyle: StyleProp<ViewStyle>

- Defined in components/buttons/CrossButton.tsx:64

Optional button styles to apply to Button.

See also iconStyle, style

### Optional color

color: Color

- Defined in components/buttons/CrossButton.tsx:19

Foreground (icon) color. Default is Colors.CrossBlack

### Optional compact

compact: undefined | false | true

- Defined in components/buttons/CrossButton.tsx:66

### Optional disabled

disabled: undefined | false | true

- Defined in components/buttons/CrossButton.tsx:52

### Optional iconName

iconName: undefined | string

- Defined in components/buttons/CrossButton.tsx:25

Font-Awesome 4 icon name using `react-native-vector-icons/FontAwesome`

https://fontawesome.com/v4.7.0/icons/

### Optional iconStyle

iconStyle: ViewStyle | TextStyle

- Defined in components/buttons/CrossButton.tsx:41

Optional style for the icons. See also iconName

See also buttonStyle, style

### Optional mode

mode: "text" | "outlined" | "contained"

- Defined in components/buttons/CrossButton.tsx:58

Button visual appearence. Default is 'text'

https://callstack.github.io/react-native-paper/button.html

### Optional onPress

onPress: undefined | function

- Defined in components/buttons/CrossButton.tsx:65

### Optional size

size: undefined | number

- Defined in components/buttons/CrossButton.tsx:51

Size of the icon

### Optional style

style: StyleProp<ViewStyle>

- Defined in components/buttons/CrossButton.tsx:35

Style for outer container.

See also iconStyle, buttonStyle

### Optional title

title: undefined | string

- Defined in components/buttons/CrossButton.tsx:47

Title for the button. If not supplied a clickable icon will be displayed instead of react-native-paper button

https://callstack.github.io/react-native-paper/button.html